import { defineUI } from "queenjs";
import components from "..";
import { useEditor } from "../..";
import { View } from "../CompUI/basicUI/View";

export default defineUI({
  setup() {
    const editor = useEditor();
    const { store } = editor;
    return () => {
      const { content } = store.designData;
      return (
        <div>
          {content.map((d) => {
            const Comp: any = components.CompUI[d.compKey];
            return (
              <View
                key={d.id}
                data-id={d.id}
                background={d.background}
                layout={d.layout}
              >
                <Comp v-model={[d.value, "value"]} />
              </View>
            );
          })}
        </div>
      );
    };
  },
});
