import { DesignComp } from "@/modules/editor/defines/DesignTemp/DesignComp";
import FormUI, { ColumnItem } from "@queenjs/components/FormUI";
import { set } from "lodash";
import { defineComponent } from "vue";
import { any } from "vue-types";

const layoutColumns: ColumnItem[] = [
  {
    label: "宽度",
    dataIndex: "layout.width",
    component: "Input",
  },
  {
    label: "高度",
    dataIndex: "layout.height",
    component: "Input",
  },
  {
    label: "外边距",
    dataIndex: "layout.margin",
    component: "Input",
  },
  {
    label: "内边距",
    dataIndex: "layout.padding",
    component: "Input",
  },
];

export function createAttrsForm(valueColumns: ColumnItem[]) {
  return defineComponent({
    props: {
      component: any<DesignComp>().isRequired,
    },
    setup(props) {
      function changeVal(e: { dataIndex: string; value: any }) {
        set(props.component, e.dataIndex, e.value);
      }

      return () => {
        const { component } = props;
        return (
          <div>
            <div>组件布局</div>
            <FormUI
              data={component}
              columns={layoutColumns}
              onChange={changeVal}
            />
            <div>组件属性</div>
            <FormUI
              data={component}
              columns={valueColumns}
              onChange={changeVal}
            />
          </div>
        );
      };
    },
  });
}
