import { useEditor } from "@/modules/editor";
import { defineUI } from "queenjs";

export default defineUI({
  setup() {
    const editor = useEditor();
    const { FormUI } = editor.components;

    return () => {
      const { currComp } = editor.store;
      const CompForm = FormUI[currComp?.compKey as "Image"];
      return (
        <div>
          <div class="p-16px border-bottom !border-2px">设置栏</div>
          <div class="m-16px">
            {currComp && CompForm && <CompForm component={currComp} />}
          </div>
        </div>
      );
    };
  },
});
