import { useResource } from "@/modules/resource";
import { defineComponent } from "vue";
import PromotionUI from "./components";
import { PromotionController } from "./components/PromotionController";
import { PageListController } from "@queenjs/controllers";

export default defineComponent({
  setup() {
    
    const resource = useResource();
    const ctrl= new PromotionController();
    ctrl.ListCtrl = new PageListController(resource.config?.httpConfig);
    ctrl.ListCtrl.setCrudPrefix("/h5")
    ctrl.createPromotion = resource.actions.createPromotion;
    
    return () => (
      <PromotionUI
        Controller={ctrl}
        slots={{
          // MaterialItem: ()=>{
          //   return <div>item</div>
          // }
        }}
      ></PromotionUI>
    );
  },
});
